> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keywordsai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve experiment log

Retrieve a specific log from an experiment using the V2 API.

## Authentication

* API key: `Authorization: Bearer <API key>`

## Path Parameters

<ParamField path="experiment_id" type="string" required>
  The ID of the experiment.
</ParamField>

<ParamField path="log_id" type="string" required>
  The ID of the log to retrieve.
</ParamField>

## Examples

<CodeGroup>
  ```python Python theme={"system"}
  import requests

  experiment_id = "experiment_id_123"
  log_id = "log_id_123"
  url = f"https://api.keywordsai.co/api/v2/experiments/{experiment_id}/logs/{log_id}"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```bash cURL theme={"system"}
  curl -X GET "https://api.keywordsai.co/api/v2/experiments/{experiment_id}/logs/{log_id}" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</CodeGroup>

## Response

<ResponseExample>
  ```json 200 OK theme={"system"}
  {
    "id": "log_id_123",
    "input": {
      "current_prompt_version": "v1"
    },
    "output": {
      "result": "output_value"
    },
    "comparison_key": "b7c84ae535cf66aef2f862eb260a14bd1aa9310220076cf196fec40860ac0d11"
  }
  ```
</ResponseExample>
